module screw_hole() {
    translate([0, 0, 0])cylinder(r=4, h=3, $fn=50);
    translate([-6, 0, 0])cylinder(r=2, h=3, $fn=50);
    translate([0, -6, 0])cylinder(r=2, h=3, $fn=50);
    translate([-6, -2, 0])cube([4, 4, 2]);
    translate([-2, -6, 0])cube([4, 4, 2]);
}

module backplate_lock() {
    difference() {
        union() {
            cube([9, 141, 4]);
            cube([9, 6.5, 47]);
            translate([0, 134.5, 0])cube([9, 6.5, 47]);
        }
        translate([2, 2, 2])union() {
            cube([2.5, 137, 45]);
            cube([5, 2.5, 45]);
            translate([0, 134.5, 0])cube([5, 2.5, 45]);
        }
    }
}

difference() {
    cube([137, 141, 2]); // bottom
    translate([20, 20, 0])screw_hole();
    translate([20, 121, 0])rotate([0, 0, -90])screw_hole();
    translate([117, 20, 0])rotate([0, 0, 90])screw_hole();
    translate([117, 121, 0])rotate([0, 0, 180])screw_hole();
}
cube([137, 2, 49]); // wall
translate([0, 139, 0])cube([137, 2, 49]); // wall
translate([9, 2, 40])rotate([0, 90, 0])cylinder(r=2, h=119, $fn=50);
translate([9, 139, 40])rotate([0, 90, 0])cylinder(r=2, h=119, $fn=50);
// hdd mount
difference() {
    union() {
        translate([31.5, 0, 0])cube([2, 141, 10]);
        translate([103.5, 0, 0])cube([2, 141, 10]);
    }
    translate([31.5, 13, 5])rotate([0, 90, 0])cylinder(r=1.6, h=76, $fn=50);
    translate([31.5, 90, 5])rotate([0, 90, 0])cylinder(r=1.6, h=76, $fn=50);
    translate([31.5, 50, 5])rotate([0, 90, 0])cylinder(r=1.6, h=76, $fn=50);
    translate([31.5, 127, 5])rotate([0, 90, 0])cylinder(r=1.6, h=76, $fn=50);
}
backplate_lock();
translate([137, 141, 0])rotate([0, 0, 180])backplate_lock();
