module latch() {
    length = 117;
    difference() {
        cube([length, 5, 11]);
        translate([0, 0, 8])rotate([0, 90, 0])cylinder(r=2.4, h=length, $fn=50);
        cube([length, 1, 13]);
    }
}

module backplate_lock() {
    difference() {
        translate([0, 4.5, 0])cube([9.5, 127.5, 5]);
        translate([2, 2, 2])cube([2.5, 133, 42]);
        translate([4.5, 97.5, 2])cube([10, 14, 10]);
        translate([6.5, 6.5, 2])cube([4, 123.5, 3]);
    }
}

translate([10, 0, 0])latch();
translate([127, 136.5, 0])rotate([0, 0, 180])latch();
difference() {
    cube([137, 136.5, 2]); // top
    for (x = [0:1:5]) {
        for (y = [0:1:5]) {
            translate([
                x * 10 + (137 - 55) / 2,
                y * 10 + (136.5 - 55) / 2,
                0
            ])cube([5, 5, 5]);
        }
    }
}
backplate_lock();
translate([137, 136.5, 0])rotate([0, 0, 180])backplate_lock();